Subject: Re: Manual should clearly define "group name"

From: Dave Abrahams <[email-masked]>
Date: Sun, 11 Sep 2011 06:56:01 -0400

on Sat Sep 10 2011, Lars Magne Ingebrigtsen <larsi-AT-gnus.org> wrote:

> Dave Abrahams <[email-masked]> writes:
>
>>>> Many times when customizing things for Gnus I have a pattern to match
>>>> groups, but it's never entirely clear to me against what the pattern
>>>> will be matched.  Will it be <method>+<server>:<group>, or simply
>>>> <group>?  Is the answer different depending on whether <method> is a
>>>> primary or secondary select method?
>>>
>>> The latter, mainly, 
>>
>> the latter, meaning "secondary select method," or meaning "simply
>> <group>?"
>
> The latter, as in "depending on whether method is...".

Okay, that's useful information that could be in the doc.

I'm guessing that if it's a primary select method, it'll be <group> and
if a secondary select method it'll be <method>+<server>:<group>.  Is
that correct?

>>> I say "mainly" because if you're doing something in the backends, they
>>> don't deal with Gnus group names, but with their own group names, which
>>> are un-prefixed.
>>
>> Umm... so that sounds like you meant "the former" above, and not "the
>> latter?"
>
> Nope.

With my idea of "latter" being so off-the-mark, it's no wonder I was
confused.  Thanks for your patience.

>> This is clear as mud, I'm afraid.  Here's an example from my gnus
>> customizations:
>>
>>  '(gnus-spam-process-destinations
>>    (quote
>>     (("^\\(\\(nnimap\\+\\)?LocalIMAP:\\)?[^+]*$" "[Gmail].Spam"))))
>>  '(gnus-spam-process-newsgroups
>>    (quote
>>     (("^\\(\\(nntp\\+\\)?LocalNNTP:\\)?gmane\\."
>>       ((spam spam-use-gmane))))))
>>
>> I have a strong suspicion that those regexps are at least 400% more
>> complicated than they actually need to be, but I couldn't tell what Gnus
>> was going to be matching.
>
> The regexps look fine to me.

Well, but they're more defensive than they need to be, aren't they?
They both will match any of the following three patterns.

      <method>+<server>:<group>
      <server>:<group>
      <group>

>From what you've said so far I'm guessing that even if I want to be
resilient against servers switching from primary to secondary select
methods, the middle pattern is unnecessary.  Is that right?

-- 
Dave Abrahams
BoostPro Computing
http://www.boostpro.com